# class KColorDrag | Drag (XDnD) objects of type `application`/x-color. More...
Definition | `#include <kcolordrag.h>`
Inherits | QStoredDrag (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KColorDrag ( const QColor&, QWidget *dragsource = 0, const char *name = 0)
- KColorDrag ( QWidget *dragsource = 0, const char *name = 0)
- virtual ~KColorDrag ()
- void setColor ( const QColor&)

#### Public Static Methods

- static bool canDecode ( QMimeSource *)
- static bool decode ( QMimeSource *, QColor&)
- static KColorDrag* makeDrag ( const QColor&,QWidget *dragsource)

#### Protected Members

- QColor m_color

## Detailed Description

Drag (XDnD) objects of type `application`/x-color.

See the Qt drag'n'drop documentation.

KColorDrag ( const QColor&, QWidget *dragsource = 0, const char *name = 0) | ### KColorDrag

KColorDrag ( QWidget *dragsource = 0, const char *name = 0) | ### KColorDrag

~KColorDrag () | ### ~KColorDrag

[virtual]

void setColor ( const QColor&) | ### setColor

bool canDecode ( QMimeSource *) | ### canDecode

[static]

bool decode ( QMimeSource *, QColor&) | ### decode

[static]

KColorDrag* makeDrag ( const QColor&,QWidget *dragsource) | ### makeDrag

[static]

Convenience function for making a dragobject with an associated pixmap.

QColor m_color | ### m_color

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.